﻿using System;
using System.Collections.Specialized;
using System.Linq;
using Wisej.Web;

namespace TestOpenWind
{
	internal static class Program
	{
		/// <summary>
		/// The main entry point for the application.
		/// </summary>
		//static void Main()
		//{
		//    Page1 page = new Page1();
		//    page.Show();
		//}


		static void Main(NameValueCollection args)
		{
			Application.HashChanged += Application_HashChanged;

			if (Application.Hash == string.Empty)
			{
				Application.MainPage = new Page1();
			}
			else
			{
				Navigate(Application.Hash);
			}
		}

		private static void Application_HashChanged(object sender, HashChangedEventArgs e)
		{
			Navigate(e.Hash);
		}

		private static void Navigate(string hash)
		{
			var queries = hash.Substring(hash.IndexOf('?'));
			var args = queries.Split('&');

			var page = args[0].Split('=');
			var type = page[1];

			switch (type)
			{
				case "init":
					var s1 = new InitSecondaryPage();
					Application.MainPage = s1;
					break;
				case "later":
					var pageType = args[1].Split('=');
					var p1 = new LaterSecondaryPage();

					p1.PageType = pageType[1];
					//if (args.Count > 2)
					//    p1.VisitId = args[2];
					Application.MainPage = p1;
					break;
				default:
					Application.MainPage = new Page1();
					break;
			}
		}

		//
		// You can use the entry method below
		// to receive the parameters from the URL in the args collection.
		//
		//static void Main(NameValueCollection args)
		//{
		//}
	}
}